Allow specifying the location of the twitter oauth and pocket oauth files. This shoul...
[rainbowstream.git] / setup.py
1 from setuptools import setup, find_packages
2 import os
3 import os.path
4 import sys
5
6 if sys.version[0] == "2":
7 from pipes import quote
8 else:
9 from shlex import quote
10
11 # Bumped version
12 version = '1.3.7'
13
14 # Require
15 install_requires = [
16 "python-dateutil",
17 "arrow",
18 "requests==2.5.3",
19 "pyfiglet",
20 "twitter",
21 "Pillow",
22 "PySocks",
23 "pocket"
24 ]
25
26 # Default user (considers non virtualenv method)
27 user = os.environ.get('SUDO_USER', os.environ.get('USER', None))
28
29 # Copy default config if not exists
30 default = os.path.expanduser("~") + os.sep + '.rainbow_config.json'
31 if not os.path.isfile(default):
32 cmd = 'cp rainbowstream/colorset/config ' + default
33 os.system(cmd)
34 if user:
35 cmd = 'chown ' + quote(user) + ' ' + default
36 os.system(cmd)
37 cmd = 'chmod 777 ' + default
38 os.system(cmd)
39
40 # Setup
41 setup(name='rainbowstream',
42 version=version,
43 description="A smart and nice Twitter client on terminal.",
44 long_description=open("./README.rst", "r").read(),
45 classifiers=[
46 "Development Status :: 5 - Production/Stable",
47 "Environment :: Console",
48 "Intended Audience :: End Users/Desktop",
49 "Natural Language :: English",
50 "Operating System :: OS Independent",
51 "Programming Language :: Python :: 2.7",
52 "Programming Language :: Python :: 3.2",
53 "Programming Language :: Python :: 3.3",
54 "Programming Language :: Python :: 3.4",
55 "Programming Language :: Python :: 3.5",
56 "Topic :: Internet :: WWW/HTTP :: Dynamic Content :: CGI Tools/Libraries",
57 "Topic :: Utilities",
58 "License :: OSI Approved :: MIT License",
59 ],
60 keywords='twitter, command-line tools, stream API',
61 author='Vu Nhat Minh',
62 author_email='nhatminh179@gmail.com',
63 url='http://www.rainbowstream.org/',
64 license='MIT License',
65 packages=find_packages(exclude=['ez_setup', 'examples', 'tests']),
66 include_package_data=True,
67 zip_safe=True,
68 install_requires=install_requires,
69 entry_points="""
70 # -*- Entry points: -*-
71 [console_scripts]
72 rainbowstream=rainbowstream.rainbow:fly
73 """,
74 )